/*******************************************************************************
* File Name: STATUS_LED_1.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_STATUS_LED_1_H) /* Pins STATUS_LED_1_H */
#define CY_PINS_STATUS_LED_1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "STATUS_LED_1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    STATUS_LED_1_Write(uint8 value) ;
void    STATUS_LED_1_SetDriveMode(uint8 mode) ;
uint8   STATUS_LED_1_ReadDataReg(void) ;
uint8   STATUS_LED_1_Read(void) ;
uint8   STATUS_LED_1_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define STATUS_LED_1_DRIVE_MODE_BITS        (3)
#define STATUS_LED_1_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - STATUS_LED_1_DRIVE_MODE_BITS))
#define STATUS_LED_1_DRIVE_MODE_SHIFT       (0x00u)
#define STATUS_LED_1_DRIVE_MODE_MASK        (0x07u << STATUS_LED_1_DRIVE_MODE_SHIFT)

#define STATUS_LED_1_DM_ALG_HIZ         (0x00u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_DIG_HIZ         (0x01u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_RES_UP          (0x02u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_RES_DWN         (0x03u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_OD_LO           (0x04u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_OD_HI           (0x05u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_STRONG          (0x06u << STATUS_LED_1_DRIVE_MODE_SHIFT)
#define STATUS_LED_1_DM_RES_UPDWN       (0x07u << STATUS_LED_1_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define STATUS_LED_1_MASK               STATUS_LED_1__MASK
#define STATUS_LED_1_SHIFT              STATUS_LED_1__SHIFT
#define STATUS_LED_1_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define STATUS_LED_1_PS                     (* (reg32 *) STATUS_LED_1__PS)
/* Port Configuration */
#define STATUS_LED_1_PC                     (* (reg32 *) STATUS_LED_1__PC)
/* Data Register */
#define STATUS_LED_1_DR                     (* (reg32 *) STATUS_LED_1__DR)
/* Input Buffer Disable Override */
#define STATUS_LED_1_INP_DIS                (* (reg32 *) STATUS_LED_1__PC2)


#if defined(STATUS_LED_1__INTSTAT)  /* Interrupt Registers */

    #define STATUS_LED_1_INTSTAT                (* (reg32 *) STATUS_LED_1__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins STATUS_LED_1_H */


/* [] END OF FILE */
