/*******************************************************************************
* File Name: SLOT_0.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SLOT_0_H) /* Pins SLOT_0_H */
#define CY_PINS_SLOT_0_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SLOT_0_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SLOT_0_Write(uint8 value) ;
void    SLOT_0_SetDriveMode(uint8 mode) ;
uint8   SLOT_0_ReadDataReg(void) ;
uint8   SLOT_0_Read(void) ;
uint8   SLOT_0_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SLOT_0_DRIVE_MODE_BITS        (3)
#define SLOT_0_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SLOT_0_DRIVE_MODE_BITS))
#define SLOT_0_DRIVE_MODE_SHIFT       (0x00u)
#define SLOT_0_DRIVE_MODE_MASK        (0x07u << SLOT_0_DRIVE_MODE_SHIFT)

#define SLOT_0_DM_ALG_HIZ         (0x00u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_DIG_HIZ         (0x01u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_RES_UP          (0x02u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_RES_DWN         (0x03u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_OD_LO           (0x04u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_OD_HI           (0x05u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_STRONG          (0x06u << SLOT_0_DRIVE_MODE_SHIFT)
#define SLOT_0_DM_RES_UPDWN       (0x07u << SLOT_0_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SLOT_0_MASK               SLOT_0__MASK
#define SLOT_0_SHIFT              SLOT_0__SHIFT
#define SLOT_0_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SLOT_0_PS                     (* (reg32 *) SLOT_0__PS)
/* Port Configuration */
#define SLOT_0_PC                     (* (reg32 *) SLOT_0__PC)
/* Data Register */
#define SLOT_0_DR                     (* (reg32 *) SLOT_0__DR)
/* Input Buffer Disable Override */
#define SLOT_0_INP_DIS                (* (reg32 *) SLOT_0__PC2)


#if defined(SLOT_0__INTSTAT)  /* Interrupt Registers */

    #define SLOT_0_INTSTAT                (* (reg32 *) SLOT_0__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SLOT_0_H */


/* [] END OF FILE */
