/*******************************************************************************
* File Name: ACTIVITY_LED_2.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_ACTIVITY_LED_2_H) /* Pins ACTIVITY_LED_2_H */
#define CY_PINS_ACTIVITY_LED_2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "ACTIVITY_LED_2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    ACTIVITY_LED_2_Write(uint8 value) ;
void    ACTIVITY_LED_2_SetDriveMode(uint8 mode) ;
uint8   ACTIVITY_LED_2_ReadDataReg(void) ;
uint8   ACTIVITY_LED_2_Read(void) ;
uint8   ACTIVITY_LED_2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define ACTIVITY_LED_2_DRIVE_MODE_BITS        (3)
#define ACTIVITY_LED_2_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - ACTIVITY_LED_2_DRIVE_MODE_BITS))
#define ACTIVITY_LED_2_DRIVE_MODE_SHIFT       (0x00u)
#define ACTIVITY_LED_2_DRIVE_MODE_MASK        (0x07u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)

#define ACTIVITY_LED_2_DM_ALG_HIZ         (0x00u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_DIG_HIZ         (0x01u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_RES_UP          (0x02u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_RES_DWN         (0x03u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_OD_LO           (0x04u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_OD_HI           (0x05u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_STRONG          (0x06u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)
#define ACTIVITY_LED_2_DM_RES_UPDWN       (0x07u << ACTIVITY_LED_2_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define ACTIVITY_LED_2_MASK               ACTIVITY_LED_2__MASK
#define ACTIVITY_LED_2_SHIFT              ACTIVITY_LED_2__SHIFT
#define ACTIVITY_LED_2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define ACTIVITY_LED_2_PS                     (* (reg32 *) ACTIVITY_LED_2__PS)
/* Port Configuration */
#define ACTIVITY_LED_2_PC                     (* (reg32 *) ACTIVITY_LED_2__PC)
/* Data Register */
#define ACTIVITY_LED_2_DR                     (* (reg32 *) ACTIVITY_LED_2__DR)
/* Input Buffer Disable Override */
#define ACTIVITY_LED_2_INP_DIS                (* (reg32 *) ACTIVITY_LED_2__PC2)


#if defined(ACTIVITY_LED_2__INTSTAT)  /* Interrupt Registers */

    #define ACTIVITY_LED_2_INTSTAT                (* (reg32 *) ACTIVITY_LED_2__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins ACTIVITY_LED_2_H */


/* [] END OF FILE */
