/*******************************************************************************
* File Name: SLOT_3.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SLOT_3_H) /* Pins SLOT_3_H */
#define CY_PINS_SLOT_3_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SLOT_3_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SLOT_3_Write(uint8 value) ;
void    SLOT_3_SetDriveMode(uint8 mode) ;
uint8   SLOT_3_ReadDataReg(void) ;
uint8   SLOT_3_Read(void) ;
uint8   SLOT_3_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SLOT_3_DRIVE_MODE_BITS        (3)
#define SLOT_3_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SLOT_3_DRIVE_MODE_BITS))
#define SLOT_3_DRIVE_MODE_SHIFT       (0x00u)
#define SLOT_3_DRIVE_MODE_MASK        (0x07u << SLOT_3_DRIVE_MODE_SHIFT)

#define SLOT_3_DM_ALG_HIZ         (0x00u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_DIG_HIZ         (0x01u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_RES_UP          (0x02u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_RES_DWN         (0x03u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_OD_LO           (0x04u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_OD_HI           (0x05u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_STRONG          (0x06u << SLOT_3_DRIVE_MODE_SHIFT)
#define SLOT_3_DM_RES_UPDWN       (0x07u << SLOT_3_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SLOT_3_MASK               SLOT_3__MASK
#define SLOT_3_SHIFT              SLOT_3__SHIFT
#define SLOT_3_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SLOT_3_PS                     (* (reg32 *) SLOT_3__PS)
/* Port Configuration */
#define SLOT_3_PC                     (* (reg32 *) SLOT_3__PC)
/* Data Register */
#define SLOT_3_DR                     (* (reg32 *) SLOT_3__DR)
/* Input Buffer Disable Override */
#define SLOT_3_INP_DIS                (* (reg32 *) SLOT_3__PC2)


#if defined(SLOT_3__INTSTAT)  /* Interrupt Registers */

    #define SLOT_3_INTSTAT                (* (reg32 *) SLOT_3__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SLOT_3_H */


/* [] END OF FILE */
